﻿@model IEnumerable<shop.Models.Product>

@{
    ViewBag.Title = "محصولات";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}

<div class="card">
    <div class="card-header bg-dark text-white">
        <div class="row">
            <div class="col-4 text-left mt-1">
                محصولات
            </div>
            <div class="col-4 text-center">

                @using (Html.BeginForm())
                {
                    <div class="form-inline">
                        <div class="form-group">
                            @Html.TextBox("strsearch", "", new { @class = "form-control border-rad", @placeholder = " کاربر را جسجتو نمایید" })
                        </div>
                        <button type="submit" class="btn btn-primary ml-1 border-rad">
                            <i class="fas fa-search text-light fa-lg"></i>
                        </button>
                    </div>
                }



            </div>
            <div class="col-4 text-right">
                @Html.ActionLink("افزودن", "Create", "", new { @class = "btn btn-success" })
            </div>
        </div>
    </div>
    <div class="card-body">
        <table class="table table-hover">
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Brand.BrandName)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Group.GroupName)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Name)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.price)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.seen)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Mojoodi)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.NotShow)
                </th>
                <th>عملیات</th>
            </tr>

            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Brand.BrandName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Group.GroupName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.price)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.seen)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Mojoodi)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.NotShow)
                    </td>
                    <td>
                        @Html.ActionLink("مشخصات", "Index", "ProductFeilds", new { id = item.id }, new { @class = "btn btn-sm btn-outline-success" })
                        @Html.ActionLink("گالری", "Index", "Galleries", new { id = item.id }, new { @class = "btn btn-sm btn-outline-primary" }) 
                        @Html.ActionLink("ویرایش", "Edit", new { id = item.id }, new { @class = "btn btn-sm btn-outline-warning" }) 
                        @Html.ActionLink("جزئیات", "Details", new { id = item.id }, new { @class = "btn btn-sm btn-outline-info" }) 
                        @Html.ActionLink("حذف", "Delete", new { id = item.id }, new { @class = "btn btn-sm btn-outline-danger" })
                    </td>
                </tr>
            }

        </table>
    </div>
</div>



